Package org.apache.sling.cms.core.internal.filters

## Class CMSSecurityFilter

- java.lang.Object
- - org.apache.sling.cms.core.internal.filters.CMSSecurityFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

    public class CMSSecurityFilter
    extends Object
    implements javax.servlet.Filter

Checks to ensure that the user is logged in for requests which otherwise would be allowed when accessing through a CMS-specific domain name.

### Constructor Summary

Constructors
`CMSSecurityFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init​(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSSecurityFilter

    public CMSSecurityFilter()

### Method Detail

#### init

    public void init​(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`

#### doFilter

    public void doFilter​(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`